W_9577
暖心少年全家爆炸
2018-12-28 15:18

elasticsearch启动报错,百度也找不到办法解决

  • elasticsearch
  • linux

问题描述就一小段:
Error: You must build the project with Gradle or download a pre-built package
before you can run Elasticsearch. See 'Building from Source' in README.textile
or visit https://www.elastic.co/download to get a pre-built package.
然后在elasticsearch的启动脚本找到了这句话
:if echo 'distribution' | grep project.name > /dev/null ; then
cat >&2 << EOF
Error: You must build the project with Gradle or download a pre-built package
before you can run Elasticsearch. See 'Building from Source' in README.textile
or visit https://www.elastic.co/download to get a pre-built package.
EOF
exit 1
fi

TODO: remove for Elasticsearch 6.x

unsupported_environment_variable() {
if test -n "$1"; then
echo "$2=$1: $3"
fi
}
百度也找不到问题出在哪,elasticsearch是在腾讯云配置的,之前是后台启动后就没管过了,今天突然发现搜索不能用了,服务器重启后,elasticsearch启动就报错了

  • 点赞
  • 回答
  • 收藏
  • 复制链接分享

0条回答

为你推荐

换一换